package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author commanderstitch
	 */
	public class Assets 
	{
		//player
		[Embed(source="assets/gfx/player/playerspritesheet_new.png")]public static const PLAYER:Class;
		//enemies
		[Embed(source = "assets/gfx/enemies/Fly.png")]public static const FLIES:Class;
		[Embed(source = "assets/gfx/enemies/Kitten.png")]public static const KITTEN:Class;
		[Embed(source = "assets/gfx/enemies/capturedenemy.png")]public static const CAPTURED:Class;
		[Embed(source = "assets/gfx/enemies/bosscapturedenemy.png")]public static const BOSSCAPTURED:Class;
		[Embed(source = "assets/gfx/enemies/Flippy.png")]public static const FLIPPY:Class;
		[Embed(source = "assets/gfx/enemies/Kitten_red.png")]public static const KITTENRED:Class;
		[Embed(source = "assets/gfx/enemies/mom_boss.png")]public static const MOMBOSS:Class;
		[Embed(source = "assets/gfx/enemies/evil_sister.png")]public static const EVILSISTER:Class;
		[Embed(source = "assets/gfx/enemies/sistermolecue.png")]public static const SISTERM:Class;
		[Embed(source = "assets/gfx/enemies/catblast.png")]public static const CATBLAST:Class;
		[Embed(source = "assets/gfx/enemies/Kitten_green.png")]public static const GREENKITTEN:Class;
		[Embed(source = "assets/gfx/enemies/Kitten_blue.png")]public static const BLUEKITTEN:Class;
		[Embed(source = "assets/gfx/enemies/catblast_blue.png")]public static const CATBLAST_BLUE:Class;
		//--coolstuff
		[Embed(source = "assets/gfx/coolstuff/bombmaking.png")]public static const BOMB:Class;
		[Embed(source = "assets/gfx/coolstuff/tnt.png")]public static const TNT:Class;
		[Embed(source = "assets/gfx/coolstuff/healthcontainer.png")]public static const HEALTHCONTAINER:Class;
		[Embed(source = "assets/gfx/coolstuff/cookiesinjar.png")] public static const COOKIEJAR:Class;
		[Embed(source = "assets/gfx/coolstuff/Cookie.png")] public static const COOKIE:Class;
		[Embed(source = "assets/gfx/enemies/woodenspoon.png")] public static const WSPOON:Class;
		[Embed(source = "assets/gfx/coolstuff/GreenFlippy.png")]public static const GREENFLIPPY:Class;
		[Embed(source = "assets/gfx/coolstuff/PurpleFlippy.png")]public static const PURPLEFLIPPY:Class;
		[Embed(source = "assets/gfx/coolstuff/RedFlippy.png")]public static const REDFLIPPY:Class;
		[Embed(source = "assets/gfx/coolstuff/permanentfireratedecresecontainer.png")] public static const PFC:Class;
		[Embed(source = "assets/gfx/coolstuff/permanentHeathcontainer.png")]public static const PHC:Class;
		[Embed(source = "assets/gfx/coolstuff/permanentspeedcontainer.png")]public static const PSC:Class;
		[Embed(source = "assets/gfx/livingroom/OVEN.png")]public static const OVEN:Class;
		[Embed(source = "assets/gfx/coolstuff/goatimage.png")]public static const GOAT:Class;
		//--UI
		[Embed(source = "assets/gfx/ui/skittles.png")]public static const SKITTLES:Class;
		[Embed(source = "assets/gfx/ui/invisiblebutton.png")]public static const INVISIBLEBUTTON:Class;
		[Embed(source = "assets/gfx/player/Bubble.png")]public static const BUBBLE:Class;
		[Embed(source = "assets/gfx/player/bubbleBOOM.png")]public static const BUBBLE_BOOM:Class;
		[Embed(source = "assets/gfx/ui/Light.png")] public static const LIGHT:Class;
		[Embed(source="assets/gfx/ui/beginning.png")]public static const BEGINNING:Class;
		[Embed(source = "assets/gfx/ui/beginningface_blackbackgroundtest.png")]public static const BEGINNING_FACE:Class;
		[Embed(source = "assets/gfx/ui/beginningface.png")] public static const BEGINNINGFACE:Class;
		[Embed(source="assets/gfx/ui/Title.png")] public static const TITLE:Class;
		[Embed(source="assets/gfx/ui/Instructionscreen.png")] public static const INSTRUCTIONS:Class;
		[Embed(source = "assets/gfx/ui/HAND.png")] public static const HAND:Class;
		public static var Hand:Image = new Image(HAND, new Rectangle(0, 0, 32, 32));
		[Embed(source="assets/gfx/ui/HAND_ingamebetter.png")] public static const HAND_INGAME:Class;
		public static var Hand_ingame:Image = new Image(HAND_INGAME, new Rectangle(0, 0, 16, 16));
		[Embed(source = "assets/gfx/ui/endingscroolllll.png")] public static const ENDINGFACE:Class;
		[Embed(source="assets/gfx/ui/BUTTON.png")]public static const BUTTON:Class;
		[Embed(source="assets/gfx/ui/BUTTON_HOVER.png")]public static const BUTTON_HOVER:Class;
		[Embed(source="assets/gfx/ui/BUTTON_PRESSED.png")]public static const BUTTON_PRESSED:Class;
		[Embed(source = "assets/sfx/hurt/cathit.mp3")]public static const CATHIT:Class;
		//--soundeffects
		[Embed(source = "assets/sfx/hurt/againtest.mp3")]public static const SONG:Class;
		[Embed(source = "assets/sfx/hurt/boom.mp3")]public static const BOOM:Class;
		[Embed(source = "assets/sfx/hurt/momhurt.mp3")]public static const MOMHURT:Class;
		[Embed(source = "assets/sfx/cool/hidcookie.mp3")]public static const HIDCOOKIE:Class;
		[Embed(source = "assets/sfx/cool/momdead.mp3")]public static const MOMDEAD:Class;
		[Embed(source = "assets/sfx/cool/sisterlovescookies.mp3")]public static const ILOVECOOKIES:Class;
		[Embed(source = "assets/sfx/menuhover.mp3")] public static const MENUCLICK:Class;
		[Embed(source = "assets/sfx/bubblepop.mp3")] public static const BUBBLE_POP:Class;
		[Embed(source = "assets/sfx/bubbleshoot.mp3")] public static const BUBBLE_SHOOT:Class;
		[Embed(source = "assets/sfx/noooo.mp3")] public static const NO:Class;
		[Embed(source = "assets/sfx/deadcat.mp3")]public static const DEADCAT:Class;
		[Embed(source="assets/sfx/deadfly.mp3")]public static const DEADFLY:Class;
		[Embed(source="assets/sfx/evaporate.mp3")]public static const EVAPORATE:Class;
		[Embed(source="assets/sfx/slurp.mp3")]public static const SLURP:Class;
		[Embed(source = "assets/sfx/deepshortpop.mp3")]public static const DEEPSHORTPOP:Class;
		[Embed(source = "assets/sfx/Aliveagain.mp3")]public static const ALIVEAGAIN:Class;
		[Embed(source = "assets/sfx/hurt/ow.mp3")]public static const OW:Class;
		[Embed(source = "assets/sfx/hurt/Punch.mp3")]public static const PUNCH:Class;
		[Embed(source = "assets/sfx/cool/yaycookie.mp3")]public static const YAYCOOKIE:Class;
		[Embed(source = "assets/sfx/cool/MUNCH.mp3")] public static const MUNCH:Class;
		[Embed(source = "assets/sfx/cool/hiss.mp3")]public static const HISS:Class;
		[Embed(source = "assets/sfx/cool/getout.mp3")]public static const GETOUT:Class;
		[Embed(source = "assets/sfx/cool/momsigh.mp3")]public static const MOMSIGH:Class;
		[Embed(source = "assets/sfx/mmmm.mp3")] public static const MENUHOVER:Class;
		[Embed(source = "assets/sfx/yes for menu click.mp3")] public static const CLICK:Class;
		//LevelLoading stuff hahahahahaha Wahahahahahahah
		[Embed(source="assets/gfx/bedroom/collisionChart.png")]public static const COLLISIONCHART:Class;
		[Embed(source="assets/gfx/bedroom/entityChart.png")]public static const ENTITYCHART:Class;
		[Embed(source="assets/gfx/bedroom/entityMap.png")]public static const ENTITYMAP:Class;
		[Embed(source="assets/gfx/bedroom/level.png")]public static const LEVEL:Class;
		[Embed(source="assets/gfx/bedroom/map.png")]public static const MAP:Class;
		[Embed(source = "assets/gfx/bedroom/tileChart.png")]public static const TILECHART:Class;
		//--bedroom
		[Embed(source = "assets/gfx/bedroom/Bed.png")]public static const BED:Class;
		[Embed(source = "assets/gfx/bedroom/Desk.png")] public static const DESK:Class;
		[Embed(source = "assets/gfx/bedroom/Plant.png")] public static const PlANT:Class;
		//--livingroom
		[Embed(source = "assets/gfx/livingroom/collisionChart.png")]public static const COLLISIONCHART_LIVINGROOM:Class;
		[Embed(source = "assets/gfx/livingroom/entityMap.png")] public static const ENTITYMAP_LIVINGROOM:Class;
		[Embed(source = "assets/gfx/livingroom/level.png")] public static const LEVEL_LIVINGROOM:Class;
		[Embed(source = "assets/gfx/livingroom/map.png")] public static const MAP_LIVINGROOM:Class;
		
		
		
	}

}