package coolthings 
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	import net.flashpunk.*;
	import net.flashpunk.utils.*;
	import net.flashpunk.graphics.*;
	import player.Player;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class Bomb extends Entity 
	{
		//generate a spritemap for explosions by ME haha!
		public const WIDTH:Number = 46*2;
		public const HEIGHT:Number = 56*2;
		
		public var boomSpritemap:Spritemap = new Spritemap(Assets.BOMB, WIDTH, HEIGHT);
		
		public var curAnimation:String = "main";
		
		private var timer:Number = 400;
		
		public function Bomb(x:Number,y:Number) 
		{
			super(x, y);
			setupSpritesheet();
			graphic = boomSpritemap;
			boomSpritemap.play("main");
			setHitbox(23,28);
			type = "bomb";
			layer = -1;
		}
		public function setupSpritesheet():void
		{
			boomSpritemap.add("main", [0, 1, 2, 3, 4, 5, 6, 7, 8, 9], 10, false);
			boomSpritemap.callback = destroy;
		}
		public function destroy():void
		{
			destroytnt();
			FP.world.remove(this);
		}
		public function destroytnt():void
		{
			var enemyListMH:Array = [];
			FP.world.getType("tnt", enemyListMH);
			var mh:Tnt = enemyListMH.pop();
			if (mh != null) mh.destroy();
		}
		
		
	}

}