package coolthings 
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class CatBlast extends Entity 
	{
		private var gspeed:Number = 1.5; //it was at .2
		private var yspeed:Number = 0;
		public var fangle:Number = 0;
		public var radianAngle:Number = 0;
		
		public function CatBlast(x:Number,y:Number) 
		{
			super(x, y);
			graphic = new Image(Assets.CATBLAST, new Rectangle(0,0,23,28));
			setHitbox(10,10,-5,-2);
			type = "fly";
			layer = -1;
			fangle = Math.floor(Math.random() * 360) + 1;
			radianAngle = fangle * Math.PI / 180;
		}
		override public function update():void
		{
			if (collide("wall", x, y))
			{
				destroy();
			}
			else
			{
			x += Math.random() * gspeed * Math.cos(radianAngle);
			y -= Math.random() * gspeed * Math.sin(radianAngle);
			}

		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
		
	}

}