package coolthings 
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	import net.flashpunk.*;
	import net.flashpunk.utils.*;
	import net.flashpunk.graphics.*;
	import player.Player;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class CookieJar extends Entity 
	{
		//generate a spritemap for explosions by ME haha!
		public const WIDTH:Number = 75;
		public const HEIGHT:Number = 52;
		
		public var boomSpritemap:Spritemap = new Spritemap(Assets.COOKIEJAR, WIDTH, HEIGHT);
		
		public var curAnimation:String = "threeleft";
		
		public function CookieJar(x:Number,y:Number) 
		{
			super(x, y);
			setupSpritesheet();
			graphic = boomSpritemap;
			boomSpritemap.play("threeleft");
			setHitbox(75,52);
			type = "cookiejar";
			layer = -1;
		}
		override public function update():void
		{
			super.update();
			boomSpritemap.play(curAnimation);
			if (Globals.cookies == 3)
			{
				curAnimation = "threeleft";
			}
			else if (Globals.cookies == 2)
			{
				curAnimation = "twoleft";
			}
			else if (Globals.cookies == 1)
			{
				curAnimation = "oneleft";
			}
			else if (Globals.cookies == 0)
			{
				curAnimation = "allgone";
			}
		}
		public function setupSpritesheet():void
		{
			boomSpritemap.add("threeleft", [3], 0, false);
			boomSpritemap.add("twoleft", [2], 0, false);
			boomSpritemap.add("oneleft", [1], 0, false);
			boomSpritemap.add("allgone", [0], 0, false);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
		
	}

}