package ui 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author commanderstitch
	 */
	public class Beginning extends Entity 
	{
		public const SPRITE_WIDTH:Number = 736;
		public const SPRITE_HEIGHT:Number = 480;
		public var beginningSpritemap:Spritemap = new Spritemap(Assets.BEGINNING, SPRITE_WIDTH, SPRITE_HEIGHT);
		public var curAnimation:String = "main";
		public var callback:Function;
		
		public function Beginning(x:Number, y:Number, callback:Function = null) 
		{
			super(x, y);
			beginningSpritemap.callback = callback;
			setupSpritesheet();
			graphic = beginningSpritemap;
			beginningSpritemap.play("main");
			setHitbox(10, 10, -10, -10);
			type = "beginning";
			layer = -1;		
		}
		override public function update():void
		{
			super.update();
		}
		protected function click():void
		{
			if (callback != null)
				callback();
		}
		public function setupSpritesheet():void
		{
			beginningSpritemap.add("main", [0, 1], .2, false);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
	}

}