package ui 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author commanderstitch
	 */
	public class Beginningface extends Entity 
	{
		public const SPRITE_WIDTH:Number = 736;
		public const SPRITE_HEIGHT:Number = 480;
		public var beginningfaceSpritemap:Spritemap = new Spritemap(Assets.BEGINNING_FACE, SPRITE_WIDTH, SPRITE_HEIGHT);
		public var curAnimation:String = "main";
		public var callback:Function;
		
		public function Beginningface(x:Number, y:Number, callback:Function = null) 
		{
			super(x, y);
			beginningfaceSpritemap.callback = callback;
			setupSpritesheet();
			graphic = beginningfaceSpritemap;
			beginningfaceSpritemap.play("main");
			setHitbox(10, 10, -10, -10);
			type = "beginningface";
			layer = -2;		
		}
		override public function update():void
		{
			super.update();
		}
		protected function click():void
		{
			if (callback != null)
				callback();
		}
		public function setupSpritesheet():void
		{
			beginningfaceSpritemap.add("main", [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], 7, false);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
	}

}