package worlds 
{
	import net.flashpunk.World;
	import net.flashpunk.graphics.Stamp;
	import net.flashpunk.FP;
	import player.Player;
	import ui.Button;
	import ui.NewMouse;
	import ui.Beginning;
	import ui.Beginningface_clear;
	import worlds.rooms.Bedroom;
	import ui.Endingface;
	/**
	 * ...
	 * @author commanderstitch
	 */
	public class Ending extends World
	{
		
		public function Ending() 
		{
			super();
		}
		
		override public function begin(): void
		{
			super.begin();
			add(new Endingface(0, 0, loadface));
		}
		public function loadface():void
		{
			add(new Beginningface_clear(0, 0, loadbuttons));	
		}
		public function loadbuttons():void
		{
			add(new Button(500, 270, "Play Again, for COOKIES!", loadWorld));
			add(new Button(500, 350, "Thanks, but no. I'm going to menu.", loadInstructions));
			add(new NewMouse(Assets.Hand, true));
		}
		public function loadWorld():void
		{
			Player.speed = 10;//testing only normally at 2
			Player.bubbletimer = 1; //testing only normally at 10
			Player.shootimer = 10;
			Player.playerhealth = 1000;//testing only normmaly at 10
			Globals.cookies = 3;
			Globals.cookiesdelivered = 3;
			Player.mastercookietrigger = true;
			Player.smallcookietrigger = true;
			Player.playerhealth = 10;
			Player.carryingcookie = false;
			Player.onlyone = false;
			FP.world = new Bedroom;
		}
		public function loadInstructions():void
		{
			Player.speed = 10;//testing only normally at 2
			Player.bubbletimer = 1; //testing only normally at 10
			Player.shootimer = 10;
			Player.playerhealth = 1000;//testing only normmaly at 10
			Globals.cookies = 3;
			Globals.cookiesdelivered = 3;
			Player.mastercookietrigger = true;
			Player.smallcookietrigger = true;
			Player.playerhealth = 10;
			Player.carryingcookie = false;
			Player.onlyone = false;
			FP.world = new Menu;
		}
	}

}