package coolthings 
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	import net.flashpunk.*;
	import net.flashpunk.utils.*;
	import net.flashpunk.graphics.*;
	import player.Player;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class PermanentFireDelaycontainer extends Entity 
	{
		//generate a spritemap for explosions by ME haha!
		public const WIDTH:Number = 23;
		public const HEIGHT:Number = 28;
		
		public var boomSpritemap:Spritemap = new Spritemap(Assets.PFC, WIDTH, HEIGHT);
		
		public var curAnimation:String = "main";
		
		private var timer:Number = 400;
		
		public function PermanentFireDelaycontainer(x:Number,y:Number) 
		{
			super(x, y);
			setupSpritesheet();
			graphic = boomSpritemap;
			boomSpritemap.play("main");
			setHitbox(23,28);
			type = "healthcontainer";
			layer = -1;
		}
		override public function update():void
		{
			timer--;
			if (timer <= 0)
			{
				new Sfx(Assets.EVAPORATE).play();
				destroy();
			}
			if (collide("player", x, y))
				{
					destroy();
					new Sfx(Assets.ALIVEAGAIN).play();
					if (Player.bubbletimer != 0)
						Player.bubbletimer--;
				}

		}
		public function setupSpritesheet():void
		{
			boomSpritemap.add("main", [0, 1, 2, 3, 4, 5, 6, 7], 10, true);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
		
	}

}