package coolthings 
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	import net.flashpunk.*;
	import net.flashpunk.utils.*;
	import net.flashpunk.graphics.*;
	import coolthings.Healthcontainer;
	import coolthings.PermanentFireDelaycontainer;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class PurpleFlippy extends Entity 
	{
				//generate a spritemap for explosions by ME haha!
		public const WIDTH:Number = 23;
		public const HEIGHT:Number = 28;
		
		public var boomSpritemap:Spritemap = new Spritemap(Assets.PURPLEFLIPPY, WIDTH, HEIGHT);
		
		public var curAnimation:String = "main";
		
		private var gspeed:Number = 1; //it was at .2
		private var yspeed:Number = 0;
		
		public var fangle:Number = 0;
		public var radianAngle:Number = 0;
		
		private var timer:Number = 200;
		
		public function PurpleFlippy(x:Number,y:Number) 
		{
			super(x, y);
			setupSpritesheet();
			graphic = boomSpritemap;
			boomSpritemap.play("main");
			setHitbox(23,28);
			type = "flippy";
			layer = -1;
			fangle = Math.floor(Math.random() * 360) + 1;
			radianAngle = fangle * Math.PI / 180;
		}
		override public function update():void
		{
			if (collide("wall", x, y))
			{
				x -= gspeed * Math.cos(radianAngle);
				y -= gspeed * Math.sin(radianAngle);
			}
			else
			{
			x += gspeed* Math.random() * Math.cos(radianAngle);
			y -= gspeed* Math.random() * Math.sin(radianAngle);
			}
			timer--;
			if (timer <= 0)
			{
				destroy();
				FP.world.add(new PermanentFireDelaycontainer(x, y));
			}

		}
		public function setupSpritesheet():void
		{
			boomSpritemap.add("main", [0, 1, 2, 3, 4, 5, 6, 7], 20, true);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
		
	}

}