package enemies 
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	import net.flashpunk.Sfx;
	import coolthings.PurpleFlippy;
	import coolthings.RedFlippy;
	import coolthings.GreenFlippy;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class Captured extends Entity 
	{
		private var gspeed:Number = 2; //it was at .2
		private var yspeed:Number = 0;
		public var fangle:Number = 0;
		public var radianAngle:Number = 0;
		public var poptimer:Number = 300;
		public var randomdropnumber:Number = 0;
		
		public function Captured(x:Number,y:Number) 
		{
			super(x, y);
			graphic = new Image(Assets.CAPTURED, new Rectangle(0,0,23,28));
			setHitboxTo(graphic);
			type = "captured";
			layer = -1;
			randomdropnumber = Math.floor(Math.random() * 100) + 1;
		}
		override public function update():void
		{
			if (poptimer <= 0)
			{
				destroy();
				for (var k:int = 0; k < 1; k++)
					FP.world.add(new KittenRed(x, y));
				
			}
			poptimer--;
			if (collide("player", x, y))
			{
				destroy();
				new Sfx(Assets.DEEPSHORTPOP).play();
				if ((randomdropnumber >= 1) && (randomdropnumber < 2))
					FP.world.add(new PurpleFlippy(x, y));
				if ((randomdropnumber >= 2) && (randomdropnumber < 3))
					FP.world.add(new GreenFlippy(x, y));
				if ((randomdropnumber >= 3) && (randomdropnumber < 4))
					FP.world.add(new RedFlippy(x, y));
				if ((randomdropnumber >= 4) && (randomdropnumber <= 100))
					FP.world.add(new Flippy(x, y));
			}
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
	}	
		
}

