package player 
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.*;
	import net.flashpunk.utils.*;
	import net.flashpunk.graphics.*;
	import net.flashpunk.FP;
	
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class BubbleBoom extends Entity 
	{
		//generate a spritemap for explosions by ME haha!
		public const WIDTH:Number = 20;
		public const HEIGHT:Number = 20;
		
		public var boomSpritemap:Spritemap = new Spritemap(Assets.BUBBLE_BOOM, WIDTH, HEIGHT);
		
		public var curAnimation:String = "main";
		
		public function BubbleBoom(_x:Number,_y:Number) 
		{
			setupSpritesheet();
			graphic = boomSpritemap;
			boomSpritemap.play("main");
			x = _x;
			y = _y;
		}

		public function setupSpritesheet():void
		{
			boomSpritemap.add("main", [0, 1, 2, 3, 4, 5, 6, 7], 20, false);
			boomSpritemap.callback = animationCallback;
		}
		public function animationCallback():void
		{
			world.remove(this);
		}
	}

}