package ui.skittles 
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class SkittlesPink extends Entity 
	{
		private var gspeed:Number = 2; //it was at .2
		private var yspeed:Number = 0;
		public var fangle:Number = 0;
		public var radianAngle:Number = 0;
		
		public function SkittlesPink(x:Number,y:Number) 
		{
			super(x, y);
			graphic = new Image(Assets.SKITTLES, new Rectangle(64,0,16,16));
			setHitboxTo(graphic);
			type = "skittle";
			layer = -1;
			fangle = Math.floor(Math.random() * 360) + 1;
			radianAngle = fangle * Math.PI / 180;
		}
		override public function update():void
		{
			if (collide("wall", x, y))
			{
				x -= gspeed * Math.cos(radianAngle);
				y -= gspeed * Math.sin(radianAngle);
			}
			else
			{
			x += gspeed * Math.cos(radianAngle);
			y -= gspeed * Math.sin(radianAngle);
			}

		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
		
	}

}