package worlds 
{
	import net.flashpunk.World;
	import net.flashpunk.graphics.Stamp;
	import net.flashpunk.FP;
	import ui.Button;
	import ui.NewMouse;
	import ui.Beginning;
	import ui.Beginningface;
	import worlds.rooms.Bedroom;
	/**
	 * ...
	 * @author commanderstitch
	 */
	public class AnimationBeginning extends World
	{
		
		public function AnimationBeginning() 
		{
			super();
		}
		
		override public function begin(): void
		{
			super.begin();
			add(new Beginning(0, 0, loadface));
			add(new Button(590, 0, "click to skip", loadWorld));
		}
		public function loadface():void
		{
			add(new Beginningface(0, 0, loadbuttons));	
		}
		public function loadbuttons():void
		{
			add(new Button(500, 270, "I'm going to steal her COOKIES!", loadWorld));
			add(new Button(500, 350, "No, way. Go back to menu!", loadInstructions));
			add(new NewMouse(Assets.Hand, true));
		}
		public function loadWorld():void
		{
			FP.world = new Bedroom;
		}
		public function loadInstructions():void
		{
			FP.world = new Menu;
		}
	}

}