package worlds 
{
	import net.flashpunk.World;
	import net.flashpunk.graphics.Stamp;
	import net.flashpunk.FP;
	import ui.Button;
	import ui.NewMouse;
	import ui.Title;
	/**
	 * ...
	 * @author commanderstitch
	 */
	public class Menu extends World
	{
		
		public function Menu() 
		{
			super();
		}
		
		override public function begin(): void
		{
			super.begin();
			add(new Title(0, 0));
			add(new Button(270, 270, "Start Game!", loadWorld));
			add(new Button(270, 350, "Instructions", loadInstructions));
			add(new NewMouse(Assets.Hand, true));
		}
		public function loadWorld():void
		{
			FP.world = new AnimationBeginning;
		}
		public function loadInstructions():void
		{
			FP.world = new Instructions;
		}
	}

}