package worlds.rooms 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Tilemap;
	import net.flashpunk.masks.Grid;
	import enemies.Fly;
	/**
	 * ...
	 * @author commanderstitch
	 */
	public class LivingroomLoader extends Entity 
	{
		
		public function LivingroomLoader() 
		{
			
		}
		
		override public function added():void
		{
			LevelEditor.DefineTileset("level", Assets.MAP_LIVINGROOM, Assets.TILECHART, 16, 16);
			
			var newTM:Tilemap = LevelEditor.CreatTilemap("level", Assets.LEVEL_LIVINGROOM);
			
			var newG:Grid = LevelEditor.CreatGrid("level", Assets.LEVEL_LIVINGROOM, Assets.COLLISIONCHART_LIVINGROOM);
			
			LevelEditor.PlaceEntites("level", [Fly], Assets.ENTITYCHART, Assets.ENTITYMAP_LIVINGROOM);
			graphic = newTM;
			mask = newG;
			type = "wall";
		}
		
	}

}